Bug 1078947 - fedpkg/rhpkg deny builds with same name-version (and different release)
Summary: fedpkg/rhpkg deny builds with same name-version (and different release)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpkg
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Pavol Babinčák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 905521 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-20 15:17 UTC by Pavol Babinčák
Modified: 2014-08-15 18:59 UTC (History)
14 users (show)

(edit)
Clone Of: 912403
(edit)
Last Closed: 2014-06-10 07:33:39 UTC


Attachments (Terms of Use)

Description Pavol Babinčák 2014-03-20 15:17:14 UTC
+++ This bug was initially created as a clone of Bug #912403 +++

--- Additional comment from Bohuslav "Slavek" Kabrda on 2014-03-20 07:59:23 EDT ---

We've just hit this again with RHSCL 1.1 python27 collection - python27-python NVR is the same as RHEL 7 python NVR, so we keep getting

Could not execute build: python-2.7.5-12.el7 has already been built

which is plainly wrong. Pavol, could you please do something about it? This has been reported for more than a year now.

Comment 1 Pavol Babinčák 2014-03-20 15:18:19 UTC
*** Bug 905521 has been marked as a duplicate of this bug. ***

Comment 2 Pavol Babinčák 2014-03-20 15:30:46 UTC
This check was originally introduced to speedup detection of duplicate builds and lower load on koji. I'm going to remove this check from build completely.

We can do this check with separate command and properly with support from koji hub. Roughly the process would be:
1. fedpkg builds Koji target name, repository name and branch,
2. fedpkg asks Koji hub to make NVR with parameters in previous point
3. Koji hub takes the target and in the corresponding buildroot it will expand all macros and extracts NVR which will be send back to client.

Alternatively the job made by Koji hub can be made "offline" with mock & config taken from koji.

Comment 3 Pavol Babinčák 2014-03-21 17:49:58 UTC
In the end only --skip-nvr-check option was implemented. More can be done if anyone is interested in that.

Comment 4 Bohuslav "Slavek" Kabrda 2014-03-25 09:09:46 UTC
Pavol, could you please provide info on how we can get a new rhpkg build that contains this feature, so that we can test it? Thanks.

Comment 5 Pavol Babinčák 2014-03-25 09:23:13 UTC
Slavek, just yesterday we changed the approach to fix this bug so it won't break the API for clients which use this library. I'd like to get review on this patch one more. At the moment we don't have an official build.

Comment 6 Fedora Update System 2014-07-30 11:55:52 UTC
fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc19,rpkg-1.26-1.fc19

Comment 7 Fedora Update System 2014-07-30 12:00:58 UTC
fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.fc20,rpkg-1.26-1.fc20

Comment 8 Fedora Update System 2014-07-30 12:20:10 UTC
fedpkg-1.18-1.el6,rpkg-1.26-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedpkg-1.18-1.el6,rpkg-1.26-1.el6

Comment 9 Fedora Update System 2014-08-08 08:40:12 UTC
fedpkg-1.18-1.fc20, rpkg-1.26-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-08-15 02:54:51 UTC
fedpkg-1.18-1.fc19, rpkg-1.26-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-08-15 18:59:35 UTC
fedpkg-1.18-1.el6, rpkg-1.26-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.